[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetAppHandle

Sets the value for the AppHandle property.

## Declaration

Source position: interfacebase.pp line 130

`protected procedure TWidgetSet.SetAppHandle(`
`const AValue: TLCLHandle`
`); virtual;`

## Arguments

`AValue` |  | New value for the AppHandle property.

## Description

SetAppHandle has an empty implementation in TWidgetSet. It is overridden in descendent classes, and generally ensures that an assigned handle is not unassigned after it has been created.

## Version info

Modified in LCL version 4.0 to use the TLCLHandle type instead of the deprecated THandle type for the property value.

## See also

TWidgetSet.AppHandle |  | Native handle for a TApplication instance.
TLCLHandle |  | The type used for handles in LCL applications, components, controls, and widget set classes.